%global pypi_name shtab

Name:           python-shtab
Version:        1.7.1
Release:        %mkrel 3
Summary:        Automagic shell tab completion for Python CLI applications
Group:          Development/Python
License:        Apache-2.0
URL:            https://github.com/iterative/shtab
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

BuildRequires:  python3dist(pytest)

%description
Automatically generate shell tab completion scripts for Python CLI apps.

%package -n     python3-shtab
Summary:        Automagic shell tab completion for Python CLI applications
Group:          Development/Python

%description -n python3-shtab
Automatically generate shell tab completion scripts for Python CLI apps.

%prep
%autosetup -n shtab-%{version}
# remove coverage test config
sed -i -e 's/addopts =/#addopts =/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files shtab

%check
%pytest

%files -n python3-shtab -f %{pyproject_files}
%license LICENCE
%doc README.rst
%{_bindir}/shtab


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.7.1-3.mga10
+ Revision: 2239193
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 1.7.1-2.mga10
+ Revision: 2155926
- rebuild for python3.13

* Tue Apr 09 2024 daviddavid <daviddavid> 1.7.1-1.mga10
+ Revision: 2056099
- initial package python-shtab (needed for power-profiles-daemon)

